#
#  Copyright (C) 2001, 2002 MIT
#
#  This file is part of dotLRN.
#
#  dotLRN is free software; you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation; either version 2 of the License, or (at your option) any later
#  version.
#
#  dotLRN is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#

ad_library {

    portal datasource procs

    @author <a href="mailto:arjun@openforce.net">arjun@openforce.net</a>
    @author <a href="mailto:yon@openforce.net">yon@openforce.net</a>
    @creation-date 2001-09-10
    @version $Id: datasource-procs.tcl,v 1.1.1.1 2002/10/25 21:29:17 yon Exp $

}

namespace eval portal::datasource {

    ad_proc -public get {
        {-datasource_id:required}
    } {
        return the datasource in "array get" format
    } {
        db_1row select_datasource {} -column_array datasource
        return [array get datasource]
    }

    ad_proc -public get_name {
        {-datasource_id:required}
    } {
        array set datasource [get -datasource_id $datasource_id]
        return $datasource(name)
    }

    ad_proc -public get_id {
        {-name:required}
    } {
        get the id from the name
    } {
        return [db_string select_id {}]
    }

    ad_proc -public call {
        {-name:required}
        {-op:required}
        {-list_args ""}
    } {
        call a method on a datasource
    } {
        return [acs_sc_call portal_datasource $op $list_args $name]
    }

}
